#
# $Id: design-bootsplash-Compact.spec,v 1.5 2005/05/14 08:50:51 rider Exp $ 
#

%define theme Compact

Name: design-bootsplash-%theme
Version: 2.9.6
Release: alt1
Summary: Theme for splash animations during bootup
Summary(ru_RU.KOI8-R):       
License: Distributable
Group: Graphics
Provides: design-bootsplash
Requires: bootsplash >= 3.2-alt3
BuildArch: noarch

# Theme file
Source0: %name-%version.tar.bz2

%description
This package contains graphics for boot process
(needs console splash screen enabled)

%prep
%setup -q

%build

%install
# create directory structure
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/bootsplash/themes/
cp -a *	$RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/

pushd $RPM_BUILD_ROOT%_sysconfdir/bootsplash/themes/%theme/config
for i in 1 2 3 4 5 11;do \
 ln -sf bootsplash-1024x768.cfg vt$i-1024x768.cfg; \
 ln -sf bootsplash-1280x1024.cfg vt$i-1280x1024.cfg; \
 ln -sf bootsplash-800x600.cfg vt$i-800x600.cfg; \
done
popd

# create current bootloader themes
%post
%__ln_s -nf %theme %_sysconfdir/bootsplash/themes/current

%preun
[ $1 = 0 ] || exit 0
[ "`readlink %_sysconfdir/bootsplash/themes/current`" != %theme ] ||
    %__rm -f %_sysconfdir/bootsplash/themes/current

%files
%_sysconfdir/bootsplash/themes/%theme/

%changelog
* Sat May 14 2005 Anton Farygin <rider@altlinux.ru> 2.9.6-alt1
- updated design

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 2.9.4-alt1
- fixed verbose mode (800x600)

* Thu Mar 24 2005 Anton Farygin <rider@altlinux.ru> 2.9.2-alt1
- new version

* Tue Oct 14 2003 Rider <rider@altlinux.ru> 2.2.9-alt2
- rebuild with new design-bootloader

* Fri Sep 12 2003 Rider <rider@altlinux.ru> 2.2.9-alt1
- build with new design-bootloader

* Tue Jul 29 2003 Rider <rider@altlinux.ru> 2.2.2-alt3
- fix path to theme
- update images from ALT Linux Design

* Mon Jul 21 2003 Rider <rider@altlinux.ru> 2.2.2-alt2
- fix splashscreen images bugs

* Mon Jul 21 2003 Rider <rider@altlinux.ru> 2.2.2-alt1
- design update 

* Thu Jul 17 2003 Rider <rider@altlinux.ru> 2.2.1-alt1
- first build
